package com.tanpu.feo.feojob.dao.jyzyuser.entity;

import cn.hutool.crypto.digest.MD5;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author zejia zj wu
 * @since 2021-05-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("user_info")
public class JyzyUserInfoEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 唯一主键
     */
    private String id;

    /**
     * 微信openId
     */
    private String uiOpenid;

    /**
     * 微信unionId
     */
    @TableField("ui_unionId")
    private String uiUnionid;

    /**
     * 手机号
     */
    private String uiTelphone;

    /**
     * 昵称
     */
    private String uiNickname;

    /**
     * 头像
     */
    private String uiHeadimg;

    /**
     * 姓名
     */
    private String uiUsername;

    /**
     * 性别 0：男 1：女
     */
    private String uiSex;

    /**
     * 生日
     */
    private Date uiBirthday;

    /**
     * 个人介绍
     */
    private String uiIntroduction;

    /**
     * 名片样式 0：小名片 1：大名片
     */
    private String uiTypeMp;

    /**
     * 名片头像
     */
    private String uiHeadimgMp;

    /**
     * 名片姓名
     */
    private String uiUsernameMp;

    /**
     * 名片电话
     */
    private String uiTelphoneMp;

    /**
     * 手机
     */
    private String uiMobilephoneMp;

    /**
     * 名片公司名称
     */
    private String uiCompanyMp;

    /**
     * 名片公司地址
     */
    private String uiCompanyAddressMp;

    /**
     * 名片职位
     */
    private String uiPositionMp;

    /**
     * 名片邮箱
     */
    private String uiEmailMp;

    /**
     * 名片个人介绍
     */
    private String uiIntroductionMp;

    /**
     * 微信个人二维码名片
     */
    private String uiWechatQrcode;

    /**
     * 用户名片小程序二维码
     */
    private String uiWechatXcxQrcode;

    /**
     * 类型 0：app注册 1：平台添加
     */
    private String uiType;

    /**
     * 用户身份 0:普通用户 1：团队长 2：游客
     */
    private String uiShenfen;

    /**
     * 认证状态 0:未认证 1:已认证
     */
    private Integer uiRzstatus;

    /**
     * 机构Id
     */
    private String orgId;

    /**
     * 团队Id
     */
    private String teamId;

    /**
     * 加入团队时间
     */
    private Date joinTime;

    /**
     * 员工工号
     */
    private String staffNo;

    /**
     * 对外合作权限
     */
    private String toPartner;

    /**
     * 员工等级
     */
    private String uiGrade;

    /**
     * 合格投资者认证状态
     */
    private Integer investorCertifiedStatus;

    /**
     * 合格投资者认证时间
     */
    private Date investorCertifiedTime;

    /**
     * 创建时间
     */
    private Date createtime;

    /**
     * 创建人
     */
    private String createby;

    /**
     * 修改时间
     */
    private Date updatetime;

    /**
     * 修改人
     */
    private String updateby;

    /**
     * 删除标识
     */
    private String deletetag;

    /**
     * 行业
     */
    private String uiIndustryMp;

    /**
     * 所获荣誉
     */
    private String uiHonor;

    /**
     * 区域
     */
    private String staffRegion;

    /**
     * 分行
     */
    private String branchName;

    /**
     * 支行
     */
    private String subBranchName;

    /**
     * 网点
     */
    private String branchNetworkName;

    /**
     * 等级名称
     */
    private String uiGradeName;

    /**
     * 海报扫码关注公众号引流人
     */
    private String uiHbUserid;

    /**
     * 等级分组
     */
    private String uiTargetGradeName;

    /**
     * 名片检查0: 未检查  1:已检查
     */
    private Integer uiCheckStatus;

    /**
     * 内容审核
     */
    private Integer contentReview;

    /**
     * 前端角色
     */
    private String frontRoles;

    /**
     * 城市
     */
    private String city;

    /**
     * 省份
     */
    private String province;

    /**
     * 国家
     */
    private String country;

    /**
     * 微信号
     */
    private String uiWechatQy;

    /**
     * 企业微信联系方式的配置id
     */
    private String uiCpConfigId;

    /**
     * 联系二维码的URL
     */
    private String uiCpQrCode;

    /**
     * 开户二维码
     */
    private String customQr;

    public String getMD5() {
        StringBuilder stringBuilder = new StringBuilder();
        String s = stringBuilder
                .append(this.id)
                .append(this.uiOpenid)
                .append(this.uiUnionid)
                .append(this.uiTelphone)
                .append(this.uiNickname)
                .append(this.uiHeadimg)
                .append(this.uiUsername)
                .append(this.uiSex)
                .append(this.uiBirthday)
                .append(this.uiIntroduction)
                .append(this.uiTypeMp)
                .append(this.uiHeadimgMp)
                .append(this.uiUsernameMp)
                .append(this.uiTelphoneMp)
                .append(this.uiMobilephoneMp)
                .append(this.uiCompanyMp)
                .append(this.uiCompanyAddressMp)
                .append(this.uiPositionMp)
                .append(this.uiEmailMp)
                .append(this.uiIntroductionMp)
                .append(this.uiWechatQrcode)
                .append(this.uiType)
                .append(this.uiShenfen)
                .append(this.uiRzstatus)
                .append(this.teamId)
                .append(this.joinTime)
                .append(this.staffNo)
                .append(this.toPartner)
                .append(this.investorCertifiedStatus)
                .append(this.investorCertifiedTime)
                .append(this.uiIndustryMp)
                .append(this.uiHonor)
                .append(this.staffRegion)
                .append(this.branchName)
                .append(this.subBranchName)
                .append(this.uiGradeName)
                .append(this.uiHbUserid)
                .append(this.uiTargetGradeName)
                .append(this.uiCheckStatus)
                .append(this.contentReview)
                .append(this.frontRoles)
                .append(this.city)
                .append(this.province)
                .append(this.country).toString();
        return MD5.create().digestHex(s);

    }
}
